Get All Product Category
curl --request GET \
--url https://api.hit-pay.com/v1/product-category \
--header 'X-BUSINESS-API-KEY: <x-business-api-key>'import requests
url = "https://api.hit-pay.com/v1/product-category"
headers = {"X-BUSINESS-API-KEY": "<x-business-api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-BUSINESS-API-KEY': '<x-business-api-key>'}};
fetch('https://api.hit-pay.com/v1/product-category', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "9d8cbab5-13fe-4102-8bf5-3b13668ab811",
"name": "mens hat example",
"description": "mens hat example",
"is_active": true,
"order": 1,
"children": [],
"is_parent": true,
"image": null,
"emoji": null,
"pos_color": null
}
],
"links": {
"first": "https://api.sandbox.hit-pay.com/v1/product-category?page=1",
"last": "https://api.sandbox.hit-pay.com/v1/product-category?page=4",
"prev": null,
"next": "https://api.sandbox.hit-pay.com/v1/product-category?page=2"
},
"meta": {
"current_page": 1,
"from": 1,
"last_page": 4,
"links": [
{
"url": null,
"label": "← Previous",
"active": false
},
{
"url": "https://api.sandbox.hit-pay.com/v1/product-category?page=2",
"label": "Next →",
"active": false
}
],
"path": "https://api.sandbox.hit-pay.com/v1/product-category",
"per_page": 20,
"to": 20,
"total": 66
}
}Product Category
List Product Categories
List all product categories
GET
/
v1
/
product-category
Get All Product Category
Headers
Example:
"b286daabf9921b5a01a4621f026c111e046f8911feba212996c92159b98427d"
Query Parameters
Example:
20
Example:
1
Filter by active status
Example:
true
The parent category id, to list all subcategories of a parent category
Example:
"9a12fab0-d282-4437-9460-c3d26662d11a"
Filter by keywords, name
Example:
"Beanie"
Last modified on February 25, 2026
Was this page helpful?
⌘I